# Class AbstractDataEvaluation

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultEvaluationMethod
AbstractDataEvaluation

All Implemented Interfaces:
  `Serializable, Emptiable, LenientComparable, IdentifiedObject`

Direct Known Subclasses:
  `DefaultFullInspection, DefaultIndirectEvaluation, DefaultSampleBasedInspection`

@UML(identifier="DQ_DataEvaluation", specification=UNSPECIFIED) public class AbstractDataEvaluation extends DefaultEvaluationMethod
Data evaluation method.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDataEvaluation()`
  Constructs an initially empty Evaluation for data.
  `AbstractDataEvaluation(AbstractDataEvaluation object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.

  ### Methods inherited from class DefaultEvaluationMethod

  `getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getReferenceDocuments, setDates, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setReferenceDocuments`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, clone, equals, equals, getInterface, hashCode, isEmpty, nilReasons, prune, toString`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractDataEvaluation

    public AbstractDataEvaluation()
    Constructs an initially empty Evaluation for data.

  - ### AbstractDataEvaluation

    public AbstractDataEvaluation(AbstractDataEvaluation object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.